Debian Bug report logs - #618992
segfault in the heimdal-kcm

version graph

Package: heimdal-kcm; Maintainer for heimdal-kcm is Brian May <bam@debian.org>; Source for heimdal-kcm is src:heimdal.

Reported by: Red2 Administrator <andre.rodier@gmail.com>

Date: Sun, 20 Mar 2011 09:45:01 UTC

Severity: grave

Found in version heimdal/1.4.0~git20100726.dfsg.1-1

Fixed in version heimdal/1.4.0-5

Done: Brian May <bam@debian.org>

Bug is archived. No further changes may be made.

Forwarded to "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@debian.org>:
Bug#618992; Package heimdal-kcm. (Sun, 20 Mar 2011 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Red2 Administrator <andre.rodier@gmail.com>:
New Bug report received and forwarded. Copy sent to Brian May <bam@debian.org>. (Sun, 20 Mar 2011 09:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Red2 Administrator <andre.rodier@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfault in the heimdal-kcm
Date: Sun, 20 Mar 2011 09:33:03 +0000
Package: heimdal-kcm
Version: 1.4.0~git20100726.dfsg.1-1+b1
Severity: grave
Justification: renders package unusable


I am using heimdal, oth the credentials server and the kcm daemon.
I had no problem with the mit kerberos, but I have recently switched to heimdal.

I am using debian squeeze, amd64, on a virtual machine.

When I run klist and kcm in a terminal, I have a SEGV.

Sorry to have not the time to compile the program from source, however,
here a backtrace, with GDB:
--8<-------------------------------------------------------------------
(gdb) run
Starting program: /usr/sbin/kcm
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff65a30e8 in ?? () from /lib/libc.so.6
(gdb) backtrace
#0  0x00007ffff65a30e8 in ?? () from /lib/libc.so.6
#1  0x00007ffff65a12aa in memmove () from /lib/libc.so.6
#2  0x0000000000409c00 in handle_read () at server.c:796
#3  process_loop () at server.c:868
#4  heim_ipc_main () at server.c:1028
#5  0x0000000000406a0d in main (argc=1, argv=0x7fffffffe768) at main.c:117
(gdb) cont
Continuing.

Program terminated with signal SIGSEGV, Segmentation fault.
The program no longer exists.
--8<---------------------------------------



-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages heimdal-kcm depends on:
ii  libasn1-8- 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - ASN.1 library
ii  libc6      2.11.2-10                     Embedded GNU C Library: Shared lib
ii  libhdb9-he 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - kadmin server l
ii  libheimntl 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - NTLM support li
ii  libkrb5-26 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - libraries
ii  libroken18 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - roken support l
ii  libssl0.9. 0.9.8o-4squeeze1              SSL shared libraries

heimdal-kcm recommends no packages.

heimdal-kcm suggests no packages.

-- no debconf information




Reply sent to Brian May <brian@microcomaustralia.com.au>:
You have marked Bug as forwarded. (Sun, 20 Mar 2011 23:57:04 GMT) Full text and rfc822 format available.

Message #8 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>
Cc: Red2 Administrator <andre.rodier@gmail.com>, 618992-forwarded@bugs.debian.org
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Mon, 21 Mar 2011 10:53:24 +1100
Hello,

I received this bug report against Heimdal. While the version
mentioned is old, I was also able to reproduce what looked like the
same problem on a Debian sid box with the 1.4.0 release of Heimdal.

In my case strace of the kcm process appears to match the gdb output, it shows:

[... run kinit ...]
) = 1
accept(3, 0, NULL)                      = 4
fcntl(4, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}], 2, -1) = 1
([{fd=4, revents=POLLIN}])
read(4, "\0\0\0\4\2\0\0\24", 1024)      = 8
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
Process 824 detached

Thanks

On 20 March 2011 20:33, Red2 Administrator <andre.rodier@gmail.com> wrote:
> Package: heimdal-kcm
> Version: 1.4.0~git20100726.dfsg.1-1+b1
> Severity: grave
> Justification: renders package unusable
>
>
> I am using heimdal, oth the credentials server and the kcm daemon.
> I had no problem with the mit kerberos, but I have recently switched to heimdal.
>
> I am using debian squeeze, amd64, on a virtual machine.
>
> When I run klist and kcm in a terminal, I have a SEGV.
>
> Sorry to have not the time to compile the program from source, however,
> here a backtrace, with GDB:
> --8<-------------------------------------------------------------------
> (gdb) run
> Starting program: /usr/sbin/kcm
> [Thread debugging using libthread_db enabled]
>
> Program received signal SIGSEGV, Segmentation fault.
> 0x00007ffff65a30e8 in ?? () from /lib/libc.so.6
> (gdb) backtrace
> #0  0x00007ffff65a30e8 in ?? () from /lib/libc.so.6
> #1  0x00007ffff65a12aa in memmove () from /lib/libc.so.6
> #2  0x0000000000409c00 in handle_read () at server.c:796
> #3  process_loop () at server.c:868
> #4  heim_ipc_main () at server.c:1028
> #5  0x0000000000406a0d in main (argc=1, argv=0x7fffffffe768) at main.c:117
> (gdb) cont
> Continuing.
>
> Program terminated with signal SIGSEGV, Segmentation fault.
> The program no longer exists.
> --8<---------------------------------------
>
>
>
> -- System Information:
> Debian Release: 6.0.1
>  APT prefers stable
>  APT policy: (500, 'stable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages heimdal-kcm depends on:
> ii  libasn1-8- 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - ASN.1 library
> ii  libc6      2.11.2-10                     Embedded GNU C Library: Shared lib
> ii  libhdb9-he 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - kadmin server l
> ii  libheimntl 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - NTLM support li
> ii  libkrb5-26 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - libraries
> ii  libroken18 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - roken support l
> ii  libssl0.9. 0.9.8o-4squeeze1              SSL shared libraries
>
> heimdal-kcm recommends no packages.
>
> heimdal-kcm suggests no packages.
>
> -- no debconf information
>
>
>



-- 
Brian May <brian@microcomaustralia.com.au>




Message #9 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Love Hörnquist Åstrand <lha@kth.se>
To: Brian May <brian@microcomaustralia.com.au>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Mon, 21 Mar 2011 17:03:08 +0000
[Message part 1 (text/plain, inline)]
sounds like https://github.com/heimdal/heimdal/commit/2f8f9a95b3d1c61629567adb88d176567a3be900

Love

20 mar 2011 kl. 16.53 skrev Brian May:

> Hello,
> 
> I received this bug report against Heimdal. While the version
> mentioned is old, I was also able to reproduce what looked like the
> same problem on a Debian sid box with the 1.4.0 release of Heimdal.
> 
> In my case strace of the kcm process appears to match the gdb output, it shows:
> 
> [... run kinit ...]
> ) = 1
> accept(3, 0, NULL)                      = 4
> fcntl(4, F_GETFL)                       = 0x2 (flags O_RDWR)
> fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
> poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}], 2, -1) = 1
> ([{fd=4, revents=POLLIN}])
> read(4, "\0\0\0\4\2\0\0\24", 1024)      = 8
> --- SIGSEGV (Segmentation fault) @ 0 (0) ---
> Process 824 detached
> 
> Thanks
> 
> On 20 March 2011 20:33, Red2 Administrator <andre.rodier@gmail.com> wrote:
>> Package: heimdal-kcm
>> Version: 1.4.0~git20100726.dfsg.1-1+b1
>> Severity: grave
>> Justification: renders package unusable
>> 
>> 
>> I am using heimdal, oth the credentials server and the kcm daemon.
>> I had no problem with the mit kerberos, but I have recently switched to heimdal.
>> 
>> I am using debian squeeze, amd64, on a virtual machine.
>> 
>> When I run klist and kcm in a terminal, I have a SEGV.
>> 
>> Sorry to have not the time to compile the program from source, however,
>> here a backtrace, with GDB:
>> --8<-------------------------------------------------------------------
>> (gdb) run
>> Starting program: /usr/sbin/kcm
>> [Thread debugging using libthread_db enabled]
>> 
>> Program received signal SIGSEGV, Segmentation fault.
>> 0x00007ffff65a30e8 in ?? () from /lib/libc.so.6
>> (gdb) backtrace
>> #0  0x00007ffff65a30e8 in ?? () from /lib/libc.so.6
>> #1  0x00007ffff65a12aa in memmove () from /lib/libc.so.6
>> #2  0x0000000000409c00 in handle_read () at server.c:796
>> #3  process_loop () at server.c:868
>> #4  heim_ipc_main () at server.c:1028
>> #5  0x0000000000406a0d in main (argc=1, argv=0x7fffffffe768) at main.c:117
>> (gdb) cont
>> Continuing.
>> 
>> Program terminated with signal SIGSEGV, Segmentation fault.
>> The program no longer exists.
>> --8<---------------------------------------
>> 
>> 
>> 
>> -- System Information:
>> Debian Release: 6.0.1
>>  APT prefers stable
>>  APT policy: (500, 'stable')
>> Architecture: amd64 (x86_64)
>> 
>> Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
>> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
>> Shell: /bin/sh linked to /bin/dash
>> 
>> Versions of packages heimdal-kcm depends on:
>> ii  libasn1-8- 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - ASN.1 library
>> ii  libc6      2.11.2-10                     Embedded GNU C Library: Shared lib
>> ii  libhdb9-he 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - kadmin server l
>> ii  libheimntl 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - NTLM support li
>> ii  libkrb5-26 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - libraries
>> ii  libroken18 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - roken support l
>> ii  libssl0.9. 0.9.8o-4squeeze1              SSL shared libraries
>> 
>> heimdal-kcm recommends no packages.
>> 
>> heimdal-kcm suggests no packages.
>> 
>> -- no debconf information
>> 
>> 
>> 
> 
> 
> 
> -- 
> Brian May <brian@microcomaustralia.com.au>

[smime.p7s (application/pkcs7-signature, attachment)]

Message #10 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: Love Hörnquist Åstrand <lha@kth.se>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Tue, 22 Mar 2011 11:18:53 +1100
On 22 March 2011 04:03, Love Hörnquist Åstrand <lha@kth.se> wrote:
> sounds like https://github.com/heimdal/heimdal/commit/2f8f9a95b3d1c61629567adb88d176567a3be900

I applied that patch, but unfortunately, on my test box at least, it
doesn't make any difference - the symptoms appear to be the same.

Also have noticed that I can't kill kcm with a standard kill, I either
have to crash it with klist or kill -9 the process to kill it.
-- 
Brian May <brian@microcomaustralia.com.au>




Message #11 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Love Hörnquist Åstrand <lha@kth.se>
To: Brian May <brian@microcomaustralia.com.au>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Tue, 22 Mar 2011 00:28:00 +0000
[Message part 1 (text/plain, inline)]
21 mar 2011 kl. 17:18 skrev Brian May:

> On 22 March 2011 04:03, Love Hörnquist Åstrand <lha@kth.se> wrote:
>> sounds like https://github.com/heimdal/heimdal/commit/2f8f9a95b3d1c61629567adb88d176567a3be900
> 
> I applied that patch, but unfortunately, on my test box at least, it
> doesn't make any difference - the symptoms appear to be the same.
> 
> Also have noticed that I can't kill kcm with a standard kill, I either
> have to crash it with klist or kill -9 the process to kill it.

Can you get backtrace and gdb's 'info local' from all stacks ?

The signal problem is know, lets see if I can dig up the patch.

Love

[smime.p7s (application/pkcs7-signature, attachment)]

Message #12 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: Love Hörnquist Åstrand <lha@kth.se>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Tue, 22 Mar 2011 11:44:56 +1100
On 22 March 2011 11:28, Love Hörnquist Åstrand <lha@kth.se> wrote:
> Can you get backtrace and gdb's 'info local' from all stacks ?

Looks like a different bug.

Is this what you want? If this doesn't help, I can recompile without
optimization and try again.

(gdb) r
Starting program: /usr/sbin/kcm
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
heim_ipc_cred_get_uid (cred=0x0) at common.c:58
58      {
(gdb) bt
#0  heim_ipc_cred_get_uid (cred=0x0) at common.c:58
#1  0x0000000000405a99 in kcm_service (ctx=<value optimized out>,
req=0x60e1f0, cred=0x0, complete=0x409a50 <socket_complete>,
    cctx=0x60e1f0) at connect.c:52
#2  0x000000000040a0af in handle_read () at server.c:802
#3  process_loop () at server.c:868
#4  heim_ipc_main () at server.c:1028
#5  0x0000000000406bed in main (argc=1, argv=0x7fffffffec18) at main.c:117
(gdb) info local
No locals.
(gdb) up
#1  0x0000000000405a99 in kcm_service (ctx=<value optimized out>,
req=0x60e1f0, cred=0x0, complete=0x409a50 <socket_complete>,
    cctx=0x60e1f0) at connect.c:52
52          peercred.uid = heim_ipc_cred_get_uid(cred);
(gdb) info local
peercred = {pid = 0, uid = 0, gid = 6350072, session = 0}
ret = <value optimized out>
request = {length = 6373840, data = 0x4}
rep = {length = 0, data = 0x0}
buf = <value optimized out>
len = <value optimized out>
(gdb) up
#2  0x000000000040a0af in handle_read () at server.c:802
warning: Source file is more recent than executable.
802             c->callback(c->userctx, &cs->in,
(gdb) info local
cs = 0x60e1f0
len = <value optimized out>
dlen = <value optimized out>
(gdb) up
#3  process_loop () at server.c:868
868                     handle_read(clients[n]);
(gdb) info local
fds = 0x610b60
n = <value optimized out>
(gdb) up
#4  heim_ipc_main () at server.c:1028
1028        process_loop();
(gdb) info local
No locals.
(gdb) up
#5  0x0000000000406bed in main (argc=1, argv=0x7fffffffec18) at main.c:117
117         heim_ipc_main();
(gdb) info local
ret = <value optimized out>
(gdb) up
Initial frame selected; you cannot go up.

> The signal problem is know, lets see if I can dig up the patch.

Thanks
-- 
Brian May <brian@microcomaustralia.com.au>




Message #13 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Love Hörnquist Åstrand <lha@kth.se>
To: Brian May <brian@microcomaustralia.com.au>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Tue, 22 Mar 2011 05:21:45 +0000
[Message part 1 (text/plain, inline)]
21 mar 2011 kl. 17:44 skrev Brian May:

> Looks like a different bug.
> 
> Is this what you want? If this doesn't help, I can recompile without
> optimization and try again.

So its update_client_creds() in lib/ipc/server.c that fails to fetch the peer credentials.

I think its just a missing header files

https://github.com/heimdal/heimdal/commit/9ef76ca80de699f234db8a1060b4c1b349bd49fe

Love


[smime.p7s (application/pkcs7-signature, attachment)]

Message #14 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: Love Hörnquist Åstrand <lha@kth.se>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Mon, 28 Mar 2011 14:36:11 +1100
On 22 March 2011 16:21, Love Hörnquist Åstrand <lha@kth.se> wrote:
> So its update_client_creds() in lib/ipc/server.c that fails to fetch the peer credentials.
>
> I think its just a missing header files
>
> https://github.com/heimdal/heimdal/commit/9ef76ca80de699f234db8a1060b4c1b349bd49fe

Ooops. Falling behind in my email :-(

That patch doesn't apply cleanly to the last stable version.

Which header file do you think is missing? sys/un.h is included
unconditionally in my version, which makes me think maybe it is
sys/socket.h or heimbase.h
-- 
Brian May <brian@microcomaustralia.com.au>




Message #15 received at 618992-forwarded@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: Love Hörnquist Åstrand <lha@kth.se>
Cc: "<heimdal-bugs@h5l.org>" <heimdal-bugs@h5l.org>, Red2 Administrator <andre.rodier@gmail.com>, "<618992-forwarded@bugs.debian.org>" <618992-forwarded@bugs.debian.org>
Subject: Re: Bug#618992: segfault in the heimdal-kcm
Date: Thu, 7 Apr 2011 12:54:43 +1000
[Message part 1 (text/plain, inline)]
On 28 March 2011 14:36, Brian May <brian@microcomaustralia.com.au> wrote:

> Which header file do you think is missing? sys/un.h is included
> unconditionally in my version, which makes me think maybe it is
> sys/socket.h or heimbase.h
>
>
I tried adding all the missing header files, it still dies in exactly the
same way :-(.

What are your plans for releasing version 1.4.1?

Thanks


Index: heimdal/lib/ipc/hi_locl.h
===================================================================
--- heimdal.orig/lib/ipc/hi_locl.h      2011-04-07 11:47:57.012381380 +1000
+++ heimdal/lib/ipc/hi_locl.h   2011-04-07 11:48:21.390991056 +1000
@@ -51,6 +51,10 @@

 #include <base64.h>

+#include <sys/types.h>
+#include <sys/socket.h>
+#include <sys/un.h>
+#include <sys/poll.h>
 #include <heim-ipc.h>

 #if defined(__APPLE__) && defined(HAVE_GCD)


-- 
Brian May <brian@microcomaustralia.com.au>
[Message part 2 (text/html, inline)]

Reply sent to Brian May <bam@debian.org>:
You have taken responsibility. (Tue, 12 Apr 2011 01:51:04 GMT) Full text and rfc822 format available.

Notification sent to Red2 Administrator <andre.rodier@gmail.com>:
Bug acknowledged by developer. (Tue, 12 Apr 2011 01:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 618992-close@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: 618992-close@bugs.debian.org
Subject: Bug#618992: fixed in heimdal 1.4.0-5
Date: Tue, 12 Apr 2011 01:49:53 +0000
Source: heimdal
Source-Version: 1.4.0-5

We believe that the bug you reported is fixed in the latest version of
heimdal, which is due to be installed in the Debian FTP archive:

heimdal-clients-x_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-clients-x_1.4.0-5_amd64.deb
heimdal-clients_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-clients_1.4.0-5_amd64.deb
heimdal-dbg_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-dbg_1.4.0-5_amd64.deb
heimdal-dev_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-dev_1.4.0-5_amd64.deb
heimdal-docs_1.4.0-5_all.deb
  to main/h/heimdal/heimdal-docs_1.4.0-5_all.deb
heimdal-kcm_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-kcm_1.4.0-5_amd64.deb
heimdal-kdc_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-kdc_1.4.0-5_amd64.deb
heimdal-multidev_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-multidev_1.4.0-5_amd64.deb
heimdal-servers-x_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-servers-x_1.4.0-5_amd64.deb
heimdal-servers_1.4.0-5_amd64.deb
  to main/h/heimdal/heimdal-servers_1.4.0-5_amd64.deb
heimdal_1.4.0-5.debian.tar.gz
  to main/h/heimdal/heimdal_1.4.0-5.debian.tar.gz
heimdal_1.4.0-5.dsc
  to main/h/heimdal/heimdal_1.4.0-5.dsc
libasn1-8-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libasn1-8-heimdal_1.4.0-5_amd64.deb
libgssapi2-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libgssapi2-heimdal_1.4.0-5_amd64.deb
libhdb9-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libhdb9-heimdal_1.4.0-5_amd64.deb
libheimntlm0-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libheimntlm0-heimdal_1.4.0-5_amd64.deb
libhx509-5-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libhx509-5-heimdal_1.4.0-5_amd64.deb
libkadm5clnt7-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libkadm5clnt7-heimdal_1.4.0-5_amd64.deb
libkadm5srv8-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libkadm5srv8-heimdal_1.4.0-5_amd64.deb
libkafs0-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libkafs0-heimdal_1.4.0-5_amd64.deb
libkdc2-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libkdc2-heimdal_1.4.0-5_amd64.deb
libkrb5-26-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libkrb5-26-heimdal_1.4.0-5_amd64.deb
libotp0-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libotp0-heimdal_1.4.0-5_amd64.deb
libroken18-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libroken18-heimdal_1.4.0-5_amd64.deb
libsl0-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libsl0-heimdal_1.4.0-5_amd64.deb
libwind0-heimdal_1.4.0-5_amd64.deb
  to main/h/heimdal/libwind0-heimdal_1.4.0-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618992@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brian May <bam@debian.org> (supplier of updated heimdal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 07 Apr 2011 11:24:49 +1000
Source: heimdal
Binary: heimdal-docs heimdal-kdc heimdal-multidev heimdal-dev heimdal-clients-x heimdal-clients heimdal-kcm heimdal-servers-x heimdal-servers heimdal-dbg libasn1-8-heimdal libkrb5-26-heimdal libhdb9-heimdal libkadm5srv8-heimdal libkadm5clnt7-heimdal libgssapi2-heimdal libkafs0-heimdal libroken18-heimdal libotp0-heimdal libsl0-heimdal libkdc2-heimdal libhx509-5-heimdal libheimntlm0-heimdal libwind0-heimdal
Architecture: source all amd64
Version: 1.4.0-5
Distribution: unstable
Urgency: low
Maintainer: Brian May <bam@debian.org>
Changed-By: Brian May <bam@debian.org>
Description: 
 heimdal-clients - Heimdal Kerberos - clients
 heimdal-clients-x - Heimdal Kerberos - X11 client programs
 heimdal-dbg - Heimdal Kerberos - debugging symbols
 heimdal-dev - Heimdal Kerberos - development files
 heimdal-docs - Heimdal Kerberos - documentation
 heimdal-kcm - Heimdal Kerberos - KCM daemon
 heimdal-kdc - Heimdal Kerberos - key distribution center (KDC)
 heimdal-multidev - Heimdal Kerberos - Multi-implementation Development
 heimdal-servers - Heimdal Kerberos - server programs
 heimdal-servers-x - Heimdal Kerberos - X11 server programs
 libasn1-8-heimdal - Heimdal Kerberos - ASN.1 library
 libgssapi2-heimdal - Heimdal Kerberos - GSSAPI support library
 libhdb9-heimdal - Heimdal Kerberos - kadmin server library
 libheimntlm0-heimdal - Heimdal Kerberos - NTLM support library
 libhx509-5-heimdal - Heimdal Kerberos - X509 support library
 libkadm5clnt7-heimdal - Heimdal Kerberos - kadmin client library
 libkadm5srv8-heimdal - Libraries for Heimdal Kerberos
 libkafs0-heimdal - Heimdal Kerberos - KAFS support library
 libkdc2-heimdal - Heimdal Kerberos - KDC support library
 libkrb5-26-heimdal - Heimdal Kerberos - libraries
 libotp0-heimdal - Heimdal Kerberos - OTP support library
 libroken18-heimdal - Heimdal Kerberos - roken support library
 libsl0-heimdal - Heimdal Kerberos - SL support library
 libwind0-heimdal - Heimdal Kerberos - NTLM support library
Closes: 618992 621340
Changes: 
 heimdal (1.4.0-5) unstable; urgency=low
 .
   * Fix segfaults in kcm by upstream patches (closes: #618992).
   * Remove *.la files (closes: #621340).
Checksums-Sha1: 
 222e1ee2a8befaebc0a999020f73fd0d2b898948 2362 heimdal_1.4.0-5.dsc
 89acf8bc744baa43949500520cec5f80c0945708 870694 heimdal_1.4.0-5.debian.tar.gz
 393d1bfba1fd32e7465287f3d2a3c7e835f438a3 90212 heimdal-docs_1.4.0-5_all.deb
 93e4a09a0284f28a3067914fa21c0cce5a879ca4 130260 heimdal-kdc_1.4.0-5_amd64.deb
 52cd82cfd4912450a7a78aedfba6c5c60a5fdf9b 1333364 heimdal-multidev_1.4.0-5_amd64.deb
 2923f5ee560f9267a025bb685e53d6fb6b8a3311 140442 heimdal-dev_1.4.0-5_amd64.deb
 d9be21ee471e288729a41ee48717ce9f314283ff 62222 heimdal-clients-x_1.4.0-5_amd64.deb
 3534e14481e800ca48e74f0830c00dc2ea1280be 332810 heimdal-clients_1.4.0-5_amd64.deb
 7459be981cdb95a7f66bbe673e60173e7ea3d040 53820 heimdal-kcm_1.4.0-5_amd64.deb
 ab085cf886d5572bbfb61c1d13b89ddf1e1679ed 41364 heimdal-servers-x_1.4.0-5_amd64.deb
 e9d309331b0827ebf1b91be164c04d4b4442444d 174502 heimdal-servers_1.4.0-5_amd64.deb
 d6bf45b8bb3e5d7fc83a18914d50e7d195a68e68 3428422 heimdal-dbg_1.4.0-5_amd64.deb
 2e9c0e359a6ee8a6b57fc1eda7b7eb542ad2845a 235776 libasn1-8-heimdal_1.4.0-5_amd64.deb
 b35990bfdebf178e24a695827a9439ba29b84888 247290 libkrb5-26-heimdal_1.4.0-5_amd64.deb
 4f3895372b321a3a01b858ce16d553df67ca5b15 81854 libhdb9-heimdal_1.4.0-5_amd64.deb
 b32dfb9bbe1a75201412b8772303ece82cb70ff1 50790 libkadm5srv8-heimdal_1.4.0-5_amd64.deb
 a55893dacc8aaf0c797fcb53b6df2579cdff2445 40650 libkadm5clnt7-heimdal_1.4.0-5_amd64.deb
 6a08d28cda99b534f65cdd61510a1930aff7b675 116962 libgssapi2-heimdal_1.4.0-5_amd64.deb
 6063a043fd0fd133ac18437249d82c4f94edd923 38340 libkafs0-heimdal_1.4.0-5_amd64.deb
 406fdc7d1ef325efa311e01fac9ec6f544cb33f9 65082 libroken18-heimdal_1.4.0-5_amd64.deb
 3288d4cb71d0dae00baf8f7b02248aa226a507bb 73450 libotp0-heimdal_1.4.0-5_amd64.deb
 52506c3e44e0731a308e34fc138aa913bea3c7bf 32664 libsl0-heimdal_1.4.0-5_amd64.deb
 81ec9f32ca58592ef02d91ee962c682bbbac9869 89558 libkdc2-heimdal_1.4.0-5_amd64.deb
 0ba493e6602c80bb3d5a34d3a142a7b31f14f9dd 147784 libhx509-5-heimdal_1.4.0-5_amd64.deb
 1fd2e229f665d03934e7b311c0caf1202d9dd9a9 33602 libheimntlm0-heimdal_1.4.0-5_amd64.deb
 54f27298832af25fe635bc82d55a8616a5a4b060 97878 libwind0-heimdal_1.4.0-5_amd64.deb
Checksums-Sha256: 
 9e89dd0d9e84e70a07c8efdd4a772beb93d61ec83731e0d7d9d458b2df0ca675 2362 heimdal_1.4.0-5.dsc
 aed1dbcf4d46fcef0e27fe1098534f22629cfd6fec12f35c502ca1a5f35fad06 870694 heimdal_1.4.0-5.debian.tar.gz
 3d0227e313bc7d985a65e2f9369e8c9636383dabf58643a5af31ec5a235a25e8 90212 heimdal-docs_1.4.0-5_all.deb
 fb1b52bf55c0184af6681cfd2b86c8adcacef0b1b4ac94c9257ef0127b4403a0 130260 heimdal-kdc_1.4.0-5_amd64.deb
 a5645fbcddbdf5b57de7b490bb0e799e1495e8fcaaf2257fd9a37a9b41612c19 1333364 heimdal-multidev_1.4.0-5_amd64.deb
 31f225b2ff64feb3756cfd1a0a7b706b54af8d0347b03102389b14d8cd927a9f 140442 heimdal-dev_1.4.0-5_amd64.deb
 708f9c654f09cf9d1984fc33b19a3bc5436277f9aa3c7fa7396ba37a90bbf1ea 62222 heimdal-clients-x_1.4.0-5_amd64.deb
 5763b76a14af114116d05a0210a6b59a8982bc561a4731687ea4ccae69cf4c44 332810 heimdal-clients_1.4.0-5_amd64.deb
 75e3dd8547f398ed4f529544e483e7200f23efa4944b35febd45149c0792281c 53820 heimdal-kcm_1.4.0-5_amd64.deb
 f78310ac6aa2240485318b2083d257cc6fc64dbf5adebf7aa617019cde68ef7a 41364 heimdal-servers-x_1.4.0-5_amd64.deb
 a2462fbd6ed5b7848d8a8e6d3122831825c92f6b905a329daff659c6876a8c4a 174502 heimdal-servers_1.4.0-5_amd64.deb
 472141216404a66a791157dca9366dff67857d19c6c69bdca2802dd7a3d97325 3428422 heimdal-dbg_1.4.0-5_amd64.deb
 0308e5ff286a9bba9c0398776b6297d0ab3bb1af396b21d18ce2910801485c1e 235776 libasn1-8-heimdal_1.4.0-5_amd64.deb
 785c681e96e3514aec04ce7c93fde40058d82393c0ef452b4b971bd11bca2468 247290 libkrb5-26-heimdal_1.4.0-5_amd64.deb
 e80538f9902d65cc44a080d7c30cf83fc68ede746569ca77fabd2d9e4c0ddd8f 81854 libhdb9-heimdal_1.4.0-5_amd64.deb
 19b818e56ef1564a2da567841eceebb7d38f66a80ec15bf7f3740c8b6112c0b5 50790 libkadm5srv8-heimdal_1.4.0-5_amd64.deb
 4de51bb7600588c7b500cf7012aed4800669b813bc1c6e94b6ed92ed0e8c3175 40650 libkadm5clnt7-heimdal_1.4.0-5_amd64.deb
 b2ff2c15b3a3eeca597cb5d6924e3e84a7eafe4115072e2d09f8f21148634f31 116962 libgssapi2-heimdal_1.4.0-5_amd64.deb
 9a4780afc316d00de058a870c1c01dbd78b50d3fac85804237441ade94bff851 38340 libkafs0-heimdal_1.4.0-5_amd64.deb
 73b049688f57426703288356eb63f31962b745cd05b1677d069d1f1a3904a2d5 65082 libroken18-heimdal_1.4.0-5_amd64.deb
 ec357984a2aa283837d9e3895baee3e16d0c483be631c8d00d5fbfcf551414a9 73450 libotp0-heimdal_1.4.0-5_amd64.deb
 a63b5ffcc38e37df568c321a4db649f397e18992c2e6206b8c8c574700a8c48d 32664 libsl0-heimdal_1.4.0-5_amd64.deb
 029a3c3ee93cac7fa70322c91ec98d695a5914cf9690ad4e42f5763ed0bdbfaf 89558 libkdc2-heimdal_1.4.0-5_amd64.deb
 6737fb2446cd91cb93f5ffc4707fc59f5f15386646eaede1248aaf5e863c75e6 147784 libhx509-5-heimdal_1.4.0-5_amd64.deb
 f58fa659a61efe6fa76ec8541595e89e8b9cd74bcef2c9deeccf076384dde64c 33602 libheimntlm0-heimdal_1.4.0-5_amd64.deb
 d3a217ad0119bfaee542e2fd79bafafd0a2200d5cad7d895189386f57109f1c9 97878 libwind0-heimdal_1.4.0-5_amd64.deb
Files: 
 c277beeb7d2375cab59d8f99af74bd9a 2362 net optional heimdal_1.4.0-5.dsc
 f197a960cb41099eac280b02686d733c 870694 net optional heimdal_1.4.0-5.debian.tar.gz
 898c5d2c9def5803c8ad5a4996cda764 90212 doc extra heimdal-docs_1.4.0-5_all.deb
 ac71acfaacf60e74796654841f570c38 130260 net extra heimdal-kdc_1.4.0-5_amd64.deb
 ffb579ff02611f19e3557b803a64dd78 1333364 devel extra heimdal-multidev_1.4.0-5_amd64.deb
 a17927530abd405d879ddbc1a033a08a 140442 devel extra heimdal-dev_1.4.0-5_amd64.deb
 dcc479828b8f4a3aafe717251bdfd32d 62222 net extra heimdal-clients-x_1.4.0-5_amd64.deb
 5dd95f5eb43c124d2aa6d3e058e10d03 332810 net extra heimdal-clients_1.4.0-5_amd64.deb
 ebf95380171b4792a2209f1d7ad6bd1e 53820 net extra heimdal-kcm_1.4.0-5_amd64.deb
 9864adfcddb3fc3866d912fdc26333f9 41364 net extra heimdal-servers-x_1.4.0-5_amd64.deb
 c8e6544fc7d4bcebe937decee8a9a9ec 174502 net extra heimdal-servers_1.4.0-5_amd64.deb
 eaef057259244e8a10af679c497f93ef 3428422 debug extra heimdal-dbg_1.4.0-5_amd64.deb
 bd41bfada7852237a4ad4f5239ef9ba6 235776 libs optional libasn1-8-heimdal_1.4.0-5_amd64.deb
 7e373143df03dc5cd5ae6e8d5582e3d6 247290 libs optional libkrb5-26-heimdal_1.4.0-5_amd64.deb
 e38683ab0095c2e22d908f1621daf552 81854 libs optional libhdb9-heimdal_1.4.0-5_amd64.deb
 b57283e277695d8e757e70ba8b078d82 50790 libs optional libkadm5srv8-heimdal_1.4.0-5_amd64.deb
 0f33888a9d672a73cac419a3c0f7656d 40650 libs optional libkadm5clnt7-heimdal_1.4.0-5_amd64.deb
 27c9893c11c4e07517a9a356b77e30ed 116962 libs optional libgssapi2-heimdal_1.4.0-5_amd64.deb
 e2ea28447ea4e5d48b847a5e79a9505a 38340 libs extra libkafs0-heimdal_1.4.0-5_amd64.deb
 9fb0822d5012d50d65ce3e4d7f5c66e3 65082 libs extra libroken18-heimdal_1.4.0-5_amd64.deb
 74dae17145b3cc2cdc3e2bd660ff6f47 73450 libs extra libotp0-heimdal_1.4.0-5_amd64.deb
 e20e8d3132f3a0ef521b22710023b907 32664 libs extra libsl0-heimdal_1.4.0-5_amd64.deb
 ac459a960fe329309a9b4c542b57ba01 89558 libs extra libkdc2-heimdal_1.4.0-5_amd64.deb
 3ff48263fc8e68d1a95cad1ece76e9c5 147784 libs extra libhx509-5-heimdal_1.4.0-5_amd64.deb
 489f2da5404fd7d0b21171eb3836f62e 33602 libs extra libheimntlm0-heimdal_1.4.0-5_amd64.deb
 fd58b8e94e9d0541e5dad93891d5035e 97878 libs extra libwind0-heimdal_1.4.0-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJNo6uDAAoJEJyE7hq50CY2dpkP/3Lw/yJIXBUH7wECYJlNL8Vg
Z8zavpY/p059tubyFNi05wXSSNy62phaebKCTN8g+TO4mJQemDIqcay+KhHWxUvQ
yYttsgWrF5QGcGICoegsgwUoIA2lWifnjYiSffYQVKa39hEPvmd6z7ZZsnU5dgxd
iqTKcWe/PsgsTe9wijMPkhrOZ9p2xMvRrLBSMwcNRuZffTlAhtcUqv8FAsh/z3hc
6mZDQabv0RRDj+4qP8ZD3BPG+CrJDbSP8i7vylB6GufxJgIuQ9gr2EReSUxtTvLl
qIS1VqfhXLvfvEGpkYwIQeRUukQ9WhaljiiCOh3gaO7lBXQxbmvEkx2fuATP1Hqk
rn/+lAKMWMRFwE5+1gjL31Q6Yibb77ihJmBUY/qQ8OaNde0YMX/vwEDzo5pZeGfe
bPVZcGYI35Q4CR24ugOpOTCOUiVseJj2/+1QBEvxXcXnHqxClllUA8Y9rH/kryhX
Rl71ejUUeA3cWWnwWBPUTOz1CV5zKBNEd57N/BOpowu4EU86sSuhBmt8w5YMhV03
a7vQkMhyOf6LYFMZKnQ5Kn9yRFhHlFmrT7VHxBHTg5G20VFDU6NV5mV5Hy4emxy1
uuDMc3+TnLyUVfw8E7NUTAla+7Lfo/dBVwqcF3gIz9V0PWmvSAi+RhtHJN9jSKVr
+ZYCWF3xCKJz/uRPbp1U
=T7d9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Sep 2011 07:55:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:48:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.